!    Reshavanje j-ne kretanja za 1D LHO - Ojlerova metoda 
!     Program
  Program LHO 
  implicit none
! Deklaracija konstanata u programu
	real*8, parameter:: k=1.0d0
!  zadavanje pochetnih uslova
   real*8, parameter:: x0=1.d0, v0=0.d0, tk=20.d0, dt=0.05, tp=0 !pochetni polozhaj, brzina
   ! konachno vreme, korak u vremenu, pochetno vreme
! deklaracija tipa svih promenljivih 
  	  real*8      x, v, a, energija, y  ! redom : trenutni polozhaj, brzina, ubrzanje, energija, f-ja koja ce se izrachunati
	  real*8 t ! vreme
! Otvaranje fajla (datoteke) u koji ce se smestiti rezultati izrachunavanja
    open(30,file='lho.dat',status='unknown')
! prorachunavanje polozhaja, brzine i energije
  t=tp
  x=x0
  v=v0
! rachunati sve dok vreme ne bude jednako konachnom vremenu
  do while(t.le.tk)
! Izrachunavanje ubrzanja
   a=-k*x
! energija lho jedinicne mase
  energija=1.d0/2.d0*v*v+1.d0/2.d0*k*x*x
! egzaktna trajektorija lho sa parametrima izabranim u knjizi i programu
  y=dcos(t)
!  ispisivanje podataka u datoteku, 100 je broj naredbe koja pokazuje kako se ispisuju podaci
  write(30,100) t,x,v,energija,y
  x=x+v*dt
  v=v+a*dt
  t=t+dt
  enddo
100 format(10(e13.7,2x))
close(30)
  stop
end	